Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Session_Container Class Reference

`#include <Container_Base.h>`

Inheritance diagram for CIAO::Session_Container:

[legend]
Collaboration diagram for CIAO::Session_Container:

[legend]
List of all members.

## Public Methods
| Session_Container (CORBA::ORB_ptr o)
virtual | ~Session_Container (void)
virtual int | init (const char *name=0, const CORBA::PolicyList *more_policies=0 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initialize the container with a name.
virtual Components::CCMHome_ptr | ciao_install_home (const char *exe_dll_name, const char *exe_entrypt, const char *sv_dll_name, const char *sv_entrypt ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::Deployment::InstallationFailure)
| Simply installing a home executor into the component.
virtual void | ciao_uninstall_home (Components::CCMHome_ptr homeref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Object_ptr | install_servant (PortableServer::Servant p ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Object_ptr | install_component (PortableServer::Servant p, PortableServer::ObjectId_out oid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Object_ptr | get_objref (PortableServer::Servant p ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | uninstall (CORBA::Object_ptr objref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | uninstall (PortableServer::Servant svt ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | uninstall_component (CORBA::Object_ptr objref, PortableServer::ObjectId_out oid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Attributes
long | number_
## Static Protected Attributes
ACE_Atomic_Op< ACE_SYNCH_MUTEX, long > | serial_number_

## Constructor & Destructor Documentation

CIAO::Session_Container::Session_Container | ( | CORBA::ORB_ptr | o | ) |

CIAO::Session_Container::~Session_Container | ( | void |  | ) | `[virtual]`

## Member Function Documentation

Components::CCMHome_ptr CIAO::Session_Container::ciao_install_home | ( | const char * | exe_dll_name,
|  | const char * | exe_entrypt,
|  | const char * | sv_dll_name,
|  | const char *sv_entrypt | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::Deployment::InstallationFailure)`[virtual]`

  | Simply installing a home executor into the component. This operation install a home executor into the component. It requires the name of the DLLs to executor and the servant glue code, and the entry points to the respective DLLs. Currently, we don't try to manage the lifetime of DLL objects, but we should at some later point. Return values:
  Home | objref of the installed home.
Implements CIAO::Container.

void CIAO::Session_Container::ciao_uninstall_home | ( | Components::CCMHome_ptr homeref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements CIAO::Container.

ACE_INLINE CORBA::Object_ptr CIAO::Session_Container::get_objref | ( | PortableServer::Servant p | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)

virtual int CIAO::Session_Container::init | ( | const char * | name = 0,
|  | const CORBA::PolicyList * | more_policies = 0 ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

| Initialize the container with a name. Implements CIAO::Container.

CORBA::Object_ptr CIAO::Session_Container::install_component | ( | PortableServer::Servant | p,
|  | PortableServer::ObjectId_out oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

CORBA::Object_ptr CIAO::Session_Container::install_servant | ( | PortableServer::Servant p | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)

void CIAO::Session_Container::uninstall | ( | PortableServer::Servant svt | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)

void CIAO::Session_Container::uninstall | ( | CORBA::Object_ptr objref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)

void CIAO::Session_Container::uninstall_component | ( | CORBA::Object_ptr | objref,
|  | PortableServer::ObjectId_out oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

## Member Data Documentation

long CIAO::Session_Container::number_`[protected]`

ACE_Atomic_Op< ACE_SYNCH_MUTEX, long > CIAO::Session_Container::serial_number_`[static, protected]`

The documentation for this class was generated from the following files:

- Container_Base.h
- Container_Base.cpp
- Container_Base.inl